package main

import (
	"log"

	"code.rocketnine.space/tslocum/kibodo/demos/kibodo/game"
	"github.com/hajimehoshi/ebiten/v2"
)

func main() {
	ebiten.SetWindowTitle("キーボード")
	ebiten.SetWindowResizable(true)

	ebiten.SetMaxTPS(60)
	ebiten.SetFPSMode(ebiten.FPSModeVsyncOffMinimum)

	g := game.NewDemoGame()
	if err := ebiten.RunGame(g); err != nil {
		log.Fatal(err)
	}
}
